<div fxLayout="column">
  <div fxLayout="row">
    <raamCard [title]="'History'" [fxLayout]="'center center'" fxFlex>
      <div class="scroll" fxLayout="row" fxLayoutAlign="center start" fxFlex>
        <div *ngFor="let branch of history; let i = index">
          <div class="bobbleHolder" fxLayout="column" fxLayoutAlign="center center">
            <div [class]="'dividerH asset' + (i % 9)" fxFlex></div>
            <div *ngFor="let commit of branch.commits" fxLayoutAlign="center center" fxFlexOffset="5">

              <!--TODO ===================== this is splitting commit ===================== TODO-->
              <button *ngIf="commit && commit.parents.length > 1" [class]="'btn commit asset'+(i % 9)"
                      [matTooltip]='commit.message' (click)="chosenCommit(commit, branch)">
              </button>

              <!--TODO ===================== this is normal commit ===================== TODO-->
              <button *ngIf="commit && commit.parents.length === 1" [class]="'btn commit asset'+(i % 9)"
                      [matTooltip]='commit.message' (click)="chosenCommit(commit, branch)">
              </button>

              <!--TODO ===================== this is the init commit ===================== TODO-->
              <button *ngIf="commit && commit.parents.length === 0" [class]="'btn commit asset'+(i % 9)"
                      [matTooltip]='commit.message' (click)="chosenCommit(commit, branch)">
              </button>

              <!--TODO ===================== not a commit ===================== TODO-->
              <button *ngIf="!commit" class="btn commit btn-secondary" disabled></button>
            </div>
          </div>
        </div>
      </div>
    </raamCard>
    <raamCard title="FileSystem" fxFlex>
      <div class="scroll" fxLayout="row" fxLayoutAlign="start start" fxFlex>
        <div *ngIf="fileSystem" fxLayout="column" fxFlexOffset="5">
          <fsEntry *ngFor="let file of fileSystem"
                   [name]='file.name'
                   [type]='file.type'
                   [sub]='file.sub'></fsEntry>
        </div>
      </div>
    </raamCard>
  </div>

  <div fxLayout="row" fxFlex>
    <div fxFlexOffset="50"></div>
    <button *ngFor="let branch of branchList; let i = index" [class]="'btn asset'+(i % 9)"
            (click)="getFileSystemOfBranch(branch)">
      {{branch.short}}
    </button>
  </div>
</div>
